ExternalDependency (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.api.artifacts

## Interface ExternalDependency

- All Superinterfaces:
    `Dependency`, `HasAttributes`, `HasConfigurableAttributes<ModuleDependency>`, `ModuleDependency`, `ModuleVersionSelector`
  All Known Subinterfaces:
    `ClientModule`, `ExternalModuleDependency`

      public interface ExternalDependency
      extends ModuleDependency, ModuleVersionSelector

  An `ExternalDependency` is a `Dependency` on a source outside the current project hierarchy.

- - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.artifacts.Dependency

      `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExternalDependency` | `copy​()` | Creates and returns a new dependency with the property values of this one.
    `VersionConstraint` | `getVersionConstraint​()` | Returns the version constraint to be used during selection.
    `boolean` | `isForce​()` | Returns whether or not the version of this dependency should be enforced in the case of version conflicts.
    `ExternalDependency` | `setForce​(boolean force)` | Sets whether or not the version of this dependency should be enforced in the case of version conflicts.
    `void` | `version​(Action<? super MutableVersionConstraint> configureAction)` | Configures the version constraint for this dependency.

    - ### Methods inherited from interface org.gradle.api.artifacts.Dependency

      `because, contentEquals, getGroup, getName, getReason, getVersion`

    - ### Methods inherited from interface org.gradle.api.artifacts.ModuleDependency

      `addArtifact, artifact, artifact, attributes, exclude, getArtifacts, getAttributes, getExcludeRules, getTargetConfiguration, isTransitive, setTargetConfiguration, setTransitive`

    - ### Methods inherited from interface org.gradle.api.artifacts.ModuleVersionSelector

      `getGroup, getModule, getName, getVersion, matchesStrictly`

- - ### Method Detail

    - #### isForce

          boolean isForce​()

      Returns whether or not the version of this dependency should be enforced in the case of version conflicts.

    - #### setForce

          ExternalDependency setForce​(boolean force)

      Sets whether or not the version of this dependency should be enforced in the case of version conflicts.
      Parameters:
        `force` - Whether to force this version or not.
      Returns:
        this

    - #### copy

          ExternalDependency copy​()

      Creates and returns a new dependency with the property values of this one.
      Specified by:
        `copy` in interface `Dependency`
      Specified by:
        `copy` in interface `ModuleDependency`
      Returns:
        The copy. Never returns null.

    - #### version

          @Incubating
          void version​(Action<? super MutableVersionConstraint> configureAction)

      Configures the version constraint for this dependency.
      Parameters:
        `configureAction` - the configuration action for the module version
      Since:
        4.4

    - #### getVersionConstraint

          @Incubating
          VersionConstraint getVersionConstraint​()

      Returns the version constraint to be used during selection.
      Returns:
        the version constraint
      Since:
        4.4